#
# spec file for package kappdock (Version 0.44)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2 --nosuseupdate
Name:         kappdock
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      dock WindowMaker applets in KDE
Version:      0.44
Release:      130
Source0:      kappdock-0.44.tar.bz2
Patch0: kappdock-0.44.dif

%description
You can easily dock WindowMaker applets in KDE. You can find several applets
in the package wmapps.

Authors:
--------
    Henning Burchardt <h_burchardt@gmx.de>

SuSE series: k2de

%prep
%setup -n kappdock-0.44
%patch -p 0 -E

%build
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc README AUTHORS ChangeLog 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Utilities
%dir /opt/kde2/share/apps/kappdock
%dir /opt/kde2/share/apps/kappdock/icons
%dir /opt/kde2/share/apps/kappdock/styles
%dir /opt/kde2/share/doc/HTML/en/kappdock
%dir /opt/kde2/share/doc/HTML/en/kappdock/common
%dir /opt/kde2/share/icons/hicolor/32x32/apps
%dir /opt/kde2/share/icons/hicolor/48x48/apps
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
/opt/kde2/bin/kappdock
/opt/kde2/share/applnk/Utilities/kappdock.desktop
/opt/kde2/share/apps/kappdock/icons/kappdock-darker.png
/opt/kde2/share/apps/kappdock/icons/kappdock-normal.png
/opt/kde2/share/apps/kappdock/styles/darkblue.style
/opt/kde2/share/apps/kappdock/styles/default.style
/opt/kde2/share/apps/kappdock/styles/gradient.style
/opt/kde2/share/apps/kappdock/styles/sample.stylerc
/opt/kde2/share/apps/kappdock/styles/wood.style
/opt/kde2/share/doc/HTML/en/kappdock/common/logotp3.png
/opt/kde2/share/doc/HTML/en/kappdock/compilationandinstallation.html
/opt/kde2/share/doc/HTML/en/kappdock/index.html
/opt/kde2/share/doc/HTML/en/kappdock/installation.html
/opt/kde2/share/doc/HTML/en/kappdock/introduction.html
/opt/kde2/share/doc/HTML/en/kappdock/requirements.html
/opt/kde2/share/doc/HTML/en/kappdock/scrsht1.png
/opt/kde2/share/doc/HTML/en/kappdock/scrsht2.png
/opt/kde2/share/doc/HTML/en/kappdock/scrsht3.png
/opt/kde2/share/doc/HTML/en/kappdock/theeditdialog.html
/opt/kde2/share/doc/HTML/en/kappdock/thepreferencesdialog.html
/opt/kde2/share/doc/HTML/en/kappdock/workingwith.html
/opt/kde2/share/icons/hicolor/32x32/apps/kappdock.png
/opt/kde2/share/icons/hicolor/48x48/apps/kappdock.png
/opt/kde2/share/icons/locolor/16x16/apps/kappdock.png
/opt/kde2/share/icons/locolor/32x32/apps/kappdock.png

%changelog -n kappdock
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Fri Jun 22 2001 - adrian@suse.de
- autoconf 2.50 ready
* Sat May 19 2001 - adrian@suse.de
- New version 0.44
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Sat Feb 10 2001 - adrian@suse.de
- New version 0.43
* Sat Feb 03 2001 - adrian@suse.de
- Spec file created from kappdock-0.42.tar.bz2 by autospec
